Subject: Re: setreuid
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 16 Oct 2003 13:47:15 +0200

On Thu, Oct 16, 2003 at 01:37:25PM +0300, Baurjan Ismagulov wrote:
> Hello, Corinna.
> 
> Thank you for the prompt answer.
> 
> On Wed, Oct 15, 2003 at 15:45:51, Corinna Vinschen wrote:
> > > I'm trying to use tftp-hpa. Why does setreuid(1012, 1012) fail with
> > > EPERM? Should I have any special privileges?
> > Yes.
> 
> I was unable to find this information, could you please mention these
> privileges or a link describing them? I've found only
> SeImpersonatePrivilege (needed for ImpersonateLoggedOnUser), which seems
> to be not supported under XP.

The problem with Windows permissions needed to switch user context has
been discussed very often on this mailing list.  And we have a bit of
documentation under http://cygwin.com/cygwin-ug-net/ntsec.html.

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/